xcfinfo(1)

NAVN
xcfinfo - vis oplysninger om xcf-filer fra GIMP

OVERBLIK
xcfinfo [ flag ] filnavn

BESKRIVELSE
xcfinfo er et kommandolinjeværktøj til at vise oplysninger om indholdet af billedfiler i XCF-formatet som bruges af gimp(1), især vedførende billedets lag.

FLAG

-h, --help
    Udskriv en oversigt over flag og kommandolinjesyntaks, og afslut med kode 0.

-j, --bzip
    Gør det samme som -Z bzcat. Vælges automatisk hvis filnavnet slutter med bz2.

-u, --utf8
    Brug den rå UTF-8-repræsentation fra XCF-filen til at sammenligne og vise lagnavne. Normalt forsøger programmet at transkribere lagnavnene til det tegnsæt der angives af lokalitetsinstillingen.

-v, --verbose
    Giv fremgangsbeskeder til standardfejl undervejs.

-V, --version
    Skriv versionsnummeret for xcftools til standarduddata, og afslut med kode 0.

-z, --gzip
    Gør det samme som -Z zcat. Vælges automatisk hvis filnavnet slutter med gz.

-Z kommando, --unpack kommando
    Angiv en kommando som inddatafilen skal behandles af før den kan fortolkes som XCF-fil. Kommandoen bliver startet som kommando filnavn, og skal skrive sit resultat til standarduddata. Bemærk at kommando ikke kan indeholde argumenter. Hvis filnavnet ender på gz eller bz2, vil et udpakkeprogram blive valgt automatisk; dette kan slås fra ved at angive -Z cat (hvilket bliver optimeret så der ikke faktisk bliver startet end cat(1)-proces).

UDDATA
Oplysninger om billedet bliver udskrevet til standarduddata i et fast format. Første linje indeholder generelle oplysninger om XCF-filen:

-   Versionen af filformatet

-   Størrelsen af lærredet

-   Billedtilstanden (farver, gråtoner eller indekseret)

-   Antal lag

-   Den interne komprimeringsalgoritme

Efter denne linje følger én linje for hvert lag:

1)  Tegnet + hvis laget er synligt, - ellers

2)  Lagets størrelse og position

3)  Lagets pixelformat, herunder om laget har en alfakanal.

4)  Lagtilstanden, samt ugennemsigtigheden (hvis den ikke er 100%), og /mask hvis laget har en aktiv lagmaske.

5)  Lagets navn.

AFSLUTNINGSKODER
Her er de mulige afslutningskoder fra xcfinfo:

0   Alt OK

20  Gal kommandolinjesyntaks.

21  Den angivne XCF-fil findes ikke eller kan ikke læses.

123 XCF-filen indeholder egenskaber som xcftools ikke forstår. (Der er så vidt vides ingen måde at få Gimp til at skrive en XCF-fil som medfører denne aflutningskode. Lad venligst forfatteren vide det hvis du opdager én).

125 XCF-filen er beskadiget eller ugyldig.

126 Det lykkedes ikke at udføre udpakkeprogrammet (eller det blev dræbt undervejs).

127 Uventet I/O-fejl, interne fejl og lignede "umulige" situationer.

Hvis et udpakkeprogram stopper med en fejlkode, bliver denne kode også xcfinfos afslutningskode.

FORFATTER
xcfinfo og denne manualside er skrevet af Henning Makholm <henning@makholm.net>.

SE OGSÅ
xcf2pnm(1), xcf2png(1)